<?php

/*------------------------------------*\ 
	External Modules/Files
\*------------------------------------*/
include 'admin/tgm/plugins.php';
include 'option-tree/lfbefore.php';
include_once( ABSPATH . 'wp-admin/includes/plugin.php' ); // For check plugin active
include 'admin/breadcrumbs.php';
/*------------------------------------*\
	Options Panel
\*------------------------------------*/

load_template( trailingslashit( get_template_directory() ) . 'option-tree/ot-loader.php' );
load_template( trailingslashit( get_template_directory() ) . 'option-tree/theme-options.php' );

add_filter( 'ot_show_pages', '__return_true' );
add_filter( 'ot_show_new_layout', '__return_false' );
add_filter( 'ot_theme_mode', '__return_true' );

//Google Font Filter
if(is_admin() && $pagenow == 'themes.php'){
	function filter_ot_recognized_font_families( $array, $field_id ) {
		
		$array = array(
		  "Helvetica|font-family:'Helvetica Neue', Helvetica, Arial, sans-serif;"  => 'Helvetica',
		);
		
		include 'admin/fonts.php';
		
		
		if ( ! empty( $wmf_google_fonts_array  ) ) {
			foreach( $wmf_google_fonts_array  as $googlefont ) {
				$array[''.$googlefont['css-name'].'|'.$googlefont['font-family'].''] = ''.$googlefont['font-name'].'';
			}
		}
		
	  return $array;
	  
	}
	add_filter( 'ot_recognized_font_families', 'filter_ot_recognized_font_families', 10, 2 );
}

include 'admin/themecustomizer.php';

/*------------------------------------*\
	Auto Update
\*------------------------------------*/
require_once("admin/update/class-pixelentity-theme-update.php");

$autoupdate_username = ot_get_option( 'autoupdate_username');
$autoupdate_apikey2 = ot_get_option( 'autoupdate_apikey2');

if($autoupdate_username != "" && $autoupdate_apikey2 != ""){PixelentityThemeUpdate::init($autoupdate_username,$autoupdate_apikey2,'Webbu');}

/*------------------------------------*\
	Theme Support
\*------------------------------------*/

if (!isset($content_width))
{
    $content_width = 900;
}

if (function_exists('add_theme_support'))
{
    // Add Menu Support
    add_theme_support('menus');
	
	// Post Formats
	add_theme_support( 'post-formats', array( 'aside', 'gallery', 'link', 'image', 'quote', 'status', 'video', 'audio', 'chat' ) );

    // Add Thumbnail Theme Support
    add_theme_support('post-thumbnails');
    add_image_size('large', 700, '', true); // Large Thumbnail
    add_image_size('medium', 250, '', true); // Medium Thumbnail
    add_image_size('small', 120, '', true); // Small Thumbnail
    //add_image_size('custom-size', 600, 450, true); // Custom Thumbnail Size call using the_post_thumbnail('custom-size');

    // Enables post and comment RSS feed links to head
    add_theme_support('automatic-feed-links');

    // Localisation Support
    load_theme_textdomain('beant2d', get_template_directory() . '/languages');
	
}

/*------------------------------------*\
	Functions
\*------------------------------------*/

function beanh_header_scripts()
{
    if (!is_admin()) {
    
    	wp_enqueue_script('jquery'); 		
    	
    	wp_register_script('conditionizr', get_template_directory_uri() .'/js/conditionizr.min.js', array('jquery'), '2.2.0',true); 
        wp_enqueue_script('conditionizr'); 
        
        wp_register_script('modernizr', get_template_directory_uri() .'/js/modernizr.min.js', array('jquery'), '2.6.2',true); 
        wp_enqueue_script('modernizr'); 
        
		wp_register_script('icoroll', get_template_directory_uri() .'/js/icoroll.js', array('jquery'), '1.3',true); 
        wp_enqueue_script('icoroll');
		
		
		$general_ioswebapp = ot_get_option( 'general_ioswebapp', '1' );
		
		if( $general_ioswebapp == 1 ){
			wp_register_script('wmf-webapp', get_template_directory_uri() . '/js/webapp.js', array('jquery'), '1.0.0',true); 
       		wp_enqueue_script('wmf-webapp');
		}
		
		
		wp_register_script('theme-scripts', get_template_directory_uri() . '/js/theme-scripts.php', array('jquery'), '1.0.0',true); 
        wp_enqueue_script('theme-scripts'); 
		
		wp_register_script('theme-owlcarousel', get_template_directory_uri() . '/js/owl.carousel.min.js', array('jquery'), '1.0.0',true); 
        wp_enqueue_script('theme-owlcarousel'); 
				
    }
}


/*------------------------------------*\
	Add2Home
\*------------------------------------*/
$iossettings_add2home = ot_get_option( 'iossettings_add2home', '1' );

if($iossettings_add2home == 1){
	
	function add_add2home_config () {
		if (!is_admin()) {
			if(is_front_page() || is_home()){
			wp_register_script('add2home', get_template_directory_uri() . '/js/add2home.js', array('jquery'), '1.0.0', true); 
       		wp_enqueue_script('add2home'); 
			wp_register_style('add2homec', get_template_directory_uri() . '/css/add2home.css', array(), '1.0', 'all');
    		wp_enqueue_style('add2homec'); 
			echo '
			<script type="text/javascript">
			var addToHomeConfig = {
				returningVisitor: '.ot_get_option( 'iossettings_returningvisitor', 'false' ).',
				touchIcon: '.ot_get_option( 'iossettings_touchicon', 'true' ).',
				startDelay: '.ot_get_option( 'iossettings_startdelay', '2000' ).',			
				lifespan: '.ot_get_option( 'iossettings_lifespan', '5000' ).',					
			};
			</script>
			';
			}
		}
	}
	add_action('wp_footer', 'add_add2home_config',0);
}

/*------------------------------------*\
	Google Analytic
\*------------------------------------*/
$googleanalytics_code = ot_get_option( 'googleanalytics_code', '' );

if( $googleanalytics_code != "" ){
	// Add Analytic code
	function add_analytic_code () {
		if (!is_admin()) {
			echo ot_get_option( 'googleanalytics_code', '' );
		}
	}
	add_action('wp_footer', 'add_analytic_code',80);
}


/*------------------------------------*\
	Modernizr Hook
\*------------------------------------*/
$general_loading = ot_get_option( 'general_loading', '1');

if($general_loading == 1){
	function add_modernizrhook_code () {
		if (!is_admin()) {
			echo '
			<script>
			!function(){
				// configure legacy, retina, touch requirements @ conditionizr.com
				conditionizr()
			}()
			</script>';
		}
	}
	add_action('wp_footer', 'add_modernizrhook_code',100);
}

/*------------------------------------*\
	MENU Hook
\*------------------------------------*/
//Bean Menus
function register_beanh_menu_theme()
{
    register_nav_menus(array( 
        'bean-main-menu' => __('Bean Mobile Main Menu', 'beant2d'),
		'bean-share-menu' => __('Bean Mobile Share Buttons', 'beant2d'),
    ));
}

function add_icorollmenuhook_code () {
	if (!is_admin()) {
		
		$menu_name = 'bean-main-menu';

		if ( ( $locations = get_nav_menu_locations() ) && isset( $locations[ $menu_name ] ) ) {
		$menu = wp_get_nav_menu_object( $locations[ $menu_name ] );
	
		$menu_items = wp_get_nav_menu_items($menu->term_id);
	
		$menu_list = '';
		global $post;
		
		if (is_home()) {
		$thePostID=get_option("page_for_posts");
		} else {
		$thePostID=$post->ID;
		}
			
		foreach ( (array) $menu_items as $key => $menu_item ) {
			$title = $menu_item->attr_title;
			$title2 = $menu_item->title;
			$url = $menu_item->url;
			
			

			if($thePostID == $menu_item->object_id) {
				
				$menu_list .= "{ 'class':'icon-".$title."','href':'".$url."', 'content':'".$title2."', 'targetf':'_parent', current:true},";
			}else{
				$menu_list .= "{ 'class':'icon-".$title."','href':'".$url."', 'content':'".$title2."', 'targetf':'_parent'},";
			}
		}
		} else {
		$menu_list = '<ul><li>Menu "' . $menu_name . '" not defined.</li></ul>';
		}
		// $menu_list now ready to output
		$custom_menu_location = ot_get_option( 'custom_menu_location','1');
	    if($custom_menu_location == 1){
			$menu_position = 'left';
		}else{
			$menu_position = 'right';
		}
		echo "
		<script>
		(function( $ ) {
  			$(function() {
				icoroll({
					links:$('.scroll'), //jquery element for tooltips
					time:2000, // time in miliseonds for scroll all page height
					tip_distance:30, // distance in px between link and tooltip
					tip_text:'Click to see more', // default tip text
					back_enabled:false, // if false no back button after tip click apears
					back_text:'Back', // default back button text
					mobile_width:2048, //it says when show hide menu button
					menu_show_time: 500, //miliseconds for slide menu effect ( in mobile width) and back button slide
					type:'standart' //scroll navigation for tipical scroll using or standard for standard navigation
				},{
					position:'".$menu_position."',// menu position left or right
					margin:'0px',
					elements:[
					";
					echo strip_tags($menu_list, '<a>' );
					echo "
					]
				});
		
		 });
		})(jQuery);
 
		</script>";
	}
}
add_action('wp_footer', 'add_icorollmenuhook_code',200);

function add_beansharemenu_code () {
	if (!is_admin()) {

		$menu_name = 'bean-share-menu';

		if ( ( $locations = get_nav_menu_locations() ) && isset( $locations[ $menu_name ] ) ) {
		$menu = wp_get_nav_menu_object( $locations[ $menu_name ] );
	
		$menu_items = wp_get_nav_menu_items($menu->term_id);
	
		$menu_list = '';
		global $post;
		$thePostID = $post->ID;
		foreach ( (array) $menu_items as $key => $menu_item ) {
			$title = $menu_item->attr_title;
			$url = $menu_item->url;
			
			$menu_list .= ' <div class="item wmf_socialbut_class">
								<a href="'.$url.'" class="wmf_sicon_class '.$title.'">
									<i class="icon-'.$title.'"></i>
								</a>
							</div>';
			
		}
		
		
		}
		
		echo $menu_list;
	}
}


//Import - Export icon for admin wp3.8
function beant2d_admin_styles(){
	
	wp_register_style('pinastheme-admin-icons', get_template_directory_uri() . '/css/adminicons.css', array(), '1.0', 'all');
    wp_enqueue_style('pinastheme-admin-icons'); 
	
}
add_action('admin_init', 'beant2d_admin_styles'); // Add Theme admin Stylesheet

/*------------------------------------*\
	Loading Hook
\*------------------------------------*/
function add_loadinghook_code () {
	if (!is_admin()) {
		echo '
		<script>
		(function($) {
		  "use strict";

			$(document).ready(function() {
				setTimeout(function() {
					  $(".wmfloadingani").css("display","none");
				}, 1000);
			});
			
		})(jQuery);
		</script>';
	}
}
add_action('wp_footer', 'add_loadinghook_code',200);



function beant2d_styles()
{
    wp_register_style('normalize', get_template_directory_uri() . '/css/normalize.css', array(), '1.0', 'all');
    wp_enqueue_style('normalize'); 
    
    wp_register_style('theme-style', get_template_directory_uri() . '/style.css', array(), '1.0', 'all');
    wp_enqueue_style('theme-style');
	
	wp_register_style('icoroll', get_template_directory_uri() . '/css/icoroll.css', array(), '1.0', 'all');
    wp_enqueue_style('icoroll');
	
	wp_register_style('icoroll-b', get_template_directory_uri() . '/css/dark.css', array(), '1.0', 'all');
    wp_enqueue_style('icoroll-b');
		
	wp_register_style('theme-settings', get_template_directory_uri() . '/css/theme-css.php', array(), '1.0', 'all');
    wp_enqueue_style('theme-settings'); 
	
	wp_register_style('theme-typography', get_template_directory_uri() . '/css/typography.php', array(), '1.0', 'all');
    wp_enqueue_style('theme-typography'); 
	
	wp_register_style('theme-owlcarousel', get_template_directory_uri() . '/css/owl.carousel.css', array(), '1.0', 'all');
    wp_enqueue_style('theme-owlcarousel'); 
	
	if(!is_plugin_active('wmfshortcodes/index.php')) {
      //If not plugin active
	  wp_register_style('fontawsesome_css', get_template_directory_uri() . '/css/font-awesome.min.css', array(), '3.2.1', 'all');
	  wp_enqueue_style('fontawsesome_css'); 
    }
	
	if(!is_plugin_active('wmfshortcodes/index.php') && !is_plugin_active('wmfframework/index.php')) {
      //If not plugin active
	  wp_register_style('bootstrap_css', get_template_directory_uri() . '/css/bootstrap.css', array(), '3.0', 'all');
	  wp_enqueue_style('bootstrap_css'); 
    }
		  
}

if(!is_plugin_active('wmfshortcodes/index.php')) {
	// Font awesome IE7 fix
	function beanh_add_fontawesome_fix () {
		if (!is_admin()) {
			echo '<!--[if lt IE 7]>';
			echo '<link rel="stylesheet" href="'.get_template_directory_uri().'/css/font-awesome-ie7.min.css">';
			echo '<![endif]-->';
		}
	}
	add_action('wp_head', 'beanh_add_fontawesome_fix');
}

// Mobili ie8 fix
function beanh_add_ie8_fix () {
	if (!is_admin()) {
		echo '<!--[if IE 7]>';
		echo '<link rel="stylesheet" href="'.get_template_directory_uri().'/css/ie8.css">';
		echo '<script src="'.get_template_directory_uri().'/js/ie8fix.js"></script>';
		echo '<![endif]-->';
		echo '<!--[if lte IE 8]>';
		echo '<link rel="stylesheet" href="'.get_template_directory_uri().'/css/ie8.css">';
		echo '<script src="'.get_template_directory_uri().'/js/ie8fix.js"></script>';
		echo '<script src="'.get_template_directory_uri().'/js/ie9fix.js"></script>';
		echo '<![endif]-->';
		echo '<!--[if IE 9]>';
		echo '<script src="'.get_template_directory_uri().'/js/ie9fix.js"></script>';
		echo '<![endif]-->';
	}
}
add_action('wp_head', 'beanh_add_ie8_fix');


function my_wp_nav_menu_args($args = '')
{
    $args['container'] = false;
    return $args;
}

function my_css_attributes_filter($var)
{
    return is_array($var) ? array() : '';
}

function remove_category_rel_from_category_list($thelist)
{
    return str_replace('rel="category tag"', 'rel="tag"', $thelist);
}

function add_slug_to_body_class($classes)
{
    global $post;
    if (is_home()) {
        $key = array_search('blog', $classes);
        if ($key > -1) {
            unset($classes[$key]);
        }
    } elseif (is_page()) {
        $classes[] = sanitize_html_class($post->post_name);
    } elseif (is_singular()) {
        $classes[] = sanitize_html_class($post->post_name);
    }

    return $classes;
}

// If Dynamic Sidebar Exists
if (function_exists('register_sidebar'))
{
	// Define Sidebar Widget Area 2
    register_sidebar(array(
        'name' => __('Bean Widget Area', 'beant2d'),
        'description' => __('Bean Widget Area', 'beant2d'),
        'id' => 'bean-widget-area',
        'before_widget' => '<div id="%1$s" class="%2$s">',
        'after_widget' => '</div>',
        'before_title' => '<h3><div class="widgetheader">',
        'after_title' => '</div></h3>'
    ));

}

// Remove wp_head() injected Recent Comment styles
function my_remove_recent_comments_style()
{
    global $wp_widget_factory;
    remove_action('wp_head', array(
        $wp_widget_factory->widgets['WP_Widget_Recent_Comments'],
        'recent_comments_style'
    ));
}

// Pagination for paged posts, Page 1, Page 2, Page 3, with Next and Previous Links, No plugin
function beanwp_pagination()
{
    global $wp_query;
    $big = 999999999;
    echo paginate_links(array(
        'base' => str_replace($big, '%#%', get_pagenum_link($big)),
        'format' => '?paged=%#%',
        'current' => max(1, get_query_var('paged')),
        'total' => $wp_query->max_num_pages,
		'type' => 'list',
    ));
}


// Create the Custom Excerpts callback
function beanwp_excerpt($length_callback = '', $more_callback = '')
{
    global $post;
    $output = do_shortcode(get_the_content('' . __('Read more', 'beant2d') . ''));
    $output = apply_filters('wptexturize', $output);
    $output = apply_filters('convert_chars', $output);
    $output = '<p>' . $output . '</p>';
    echo $output;
	
}


function beanh_blank_view_article($more)
{
    global $post;
    $output = '... <a class="view-article" href="' . get_permalink($post->ID) . '">' . __('View Article', 'beant2d') . '</a>';
	return $output;
}
add_filter('excerpt_more', 'beanh_blank_view_article');

// Remove Admin bar
function remove_admin_bar()
{
    return false;
}

// Remove 'text/css' from our enqueued stylesheet
function beanh_style_remove($tag)
{
    return preg_replace('~\s+type=["\'][^"\']++["\']~', '', $tag);
}

// Remove thumbnail width and height dimensions that prevent fluid images in the_thumbnail
function remove_thumbnail_dimensions( $html )
{
    $html = preg_replace('/(width|height)=\"\d*\"\s/', "", $html);
    return $html;
}

// Custom Gravatar in Settings > Discussion
function beant2dgravatar ($avatar_defaults)
{
    $myavatar = get_template_directory_uri() . '/img/gravatar.jpg';
    $avatar_defaults[$myavatar] = "Custom Gravatar";
    return $avatar_defaults;
}

// Threaded Comments
function enable_threaded_comments()
{
    if (!is_admin()) {
        if (is_singular() AND comments_open() AND (get_option('thread_comments') == 1)) {
            wp_enqueue_script('comment-reply');
        }
    }
}

// Custom Comments Callback
function beant2dcomments($comment, $args, $depth)
{
	$GLOBALS['comment'] = $comment;
	extract($args, EXTR_SKIP);
	
	if ( 'div' == $args['style'] ) {
		$tag = 'div';
		$add_below = 'comment';
	} else {
		$tag = 'li';
		$add_below = 'div-comment';
	}
?>
	<<?php echo $tag ?> <?php comment_class(empty( $args['has_children'] ) ? '' : 'parent') ?> id="comment-<?php comment_ID() ?>">
	<?php if ( 'div' != $args['style'] ) : ?>
	<div id="div-comment-<?php comment_ID() ?>" class="comment-body">
	<?php endif; ?>
	<div class="comment-author vcard"><i class='icon icon-user'></i> 
	<?php //if ($args['avatar_size'] != 0) echo get_avatar( $comment, $args['180'] ); ?>
	<?php printf(__('<cite class="fn">%s</cite> <span class="says">says:</span>'), get_comment_author_link()) ?>
	</div>
<?php if ($comment->comment_approved == '0') : ?>
	<em class="comment-awaiting-moderation"><?php _e('Your comment is awaiting moderation.', 'beant2d') ?></em>
	<br />
<?php endif; ?>

	<div class="comment-meta commentmetadata"><i class='icon icon-calendar'></i> <a href="<?php echo htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ?>">
		<?php
			/* translators: 1: date, 2: time */
			printf( __('%1$s at %2$s', 'beant2d'), get_comment_date(),  get_comment_time()) ?></a><?php edit_comment_link(__('(Edit)', 'beant2d'),'  ','' );
		?>
	</div>

	<?php comment_text() ?>

	<div class="reply wmfbtn wmfbtn-default wmfbtn-xs">
    
	<?php comment_reply_link(array_merge( $args, array('add_below' => $add_below, 'depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
	</div>
	<?php if ( 'div' != $args['style'] ) : ?>
	</div>
	<?php endif; ?>
<?php }


/*------------------------------------*\
	Actions + Filters + ShortCodes
\*------------------------------------*/

// Add Actions
add_action('init', 'beanh_header_scripts'); // Add Custom Scripts to wp_head
add_action('get_header', 'enable_threaded_comments'); // Enable Threaded Comments
add_action('wp_enqueue_scripts', 'beant2d_styles'); // Add Theme Stylesheet
add_action('init', 'register_beanh_menu_theme');
add_action('widgets_init', 'my_remove_recent_comments_style'); // Remove inline Recent Comment Styles from wp_head()
add_action('init', 'beanwp_pagination'); // Add our HTML5 Pagination

// Remove Actions
remove_action('wp_head', 'feed_links_extra', 3); // Display the links to the extra feeds such as category feeds
remove_action('wp_head', 'feed_links', 2); // Display the links to the general feeds: Post and Comment Feed
remove_action('wp_head', 'rsd_link'); // Display the link to the Really Simple Discovery service endpoint, EditURI link
remove_action('wp_head', 'wlwmanifest_link'); // Display the link to the Windows Live Writer manifest file.
remove_action('wp_head', 'index_rel_link'); // Index link
remove_action('wp_head', 'parent_post_rel_link', 10, 0); // Prev link
remove_action('wp_head', 'start_post_rel_link', 10, 0); // Start link
remove_action('wp_head', 'adjacent_posts_rel_link', 10, 0); // Display relational links for the posts adjacent to the current post.
remove_action('wp_head', 'wp_generator'); // Display the XHTML generator that is generated on the wp_head hook, WP version
remove_action('wp_head', 'start_post_rel_link', 10, 0);
remove_action('wp_head', 'adjacent_posts_rel_link_wp_head', 10, 0);
remove_action('wp_head', 'rel_canonical');
remove_action('wp_head', 'wp_shortlink_wp_head', 10, 0);

// Add Filters
add_filter('avatar_defaults', 'beant2dgravatar'); // Custom Gravatar in Settings > Discussion
add_filter('body_class', 'add_slug_to_body_class'); // Add slug to body class (Starkers build)
add_filter('widget_text', 'do_shortcode'); // Allow shortcodes in Dynamic Sidebar
add_filter('widget_text', 'shortcode_unautop'); // Remove <p> tags in Dynamic Sidebars (better!)
add_filter('wp_nav_menu_args', 'my_wp_nav_menu_args'); // Remove surrounding <div> from WP Navigation
add_filter('the_category', 'remove_category_rel_from_category_list'); // Remove invalid rel attribute
add_filter('the_excerpt', 'shortcode_unautop'); // Remove auto <p> tags in Excerpt (Manual Excerpts only)
add_filter('the_excerpt', 'do_shortcode'); // Allows Shortcodes to be executed in Excerpt (Manual Excerpts only)
add_filter('show_admin_bar', 'remove_admin_bar'); // Remove Admin bar
add_filter('style_loader_tag', 'beanh_style_remove'); // Remove 'text/css' from enqueued stylesheet
add_filter('post_thumbnail_html', 'remove_thumbnail_dimensions', 10); // Remove width and height dynamic attributes to thumbnails
add_filter('image_send_to_editor', 'remove_thumbnail_dimensions', 10); // Remove width and height dynamic attributes to post images

?>
